2019-06-19 19:15 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001865Castles[All Projects] Generalpublic2014-05-04 22:00
ReporterStellan 
Assigned ToJOTDProject InfoCastles (Interplay)
http://www.whdload.de/games/Castles.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0001865: Castles: Each time it the castle will be attacked (happen after a short time of
DescriptionInstall: Castles (Interplay) http://whdload.de/games/Castles.html
GameVersion: english,pal,2 disks
SlaveVersion: V1.0 (09-Apr-2002)

Each time it the castle will be attacked (happen after a short time of playing) the following access fault appear:
************************* 11-Mär-08 14:31:31 ************************16.9.4432***
Slave='Castles.slave' (3660 bytes)
ShadowMem  1A48A08 -  1ADCA08 ( 606208) AbsolutMem    94000 -   100000 ( 442368)
Resload    2F85000 -  2F8DA6C (  35436) at 2F85000  GL=$2FD0000
Slave      2FD9000 -  2FD9E28 (   3624) at 2FD9000  BaseMemSize=$100000
ExpMem     2F8F000 -  2FCF000 ( 262144) at 2F8F000
attn=3F(40,81) fc=-1 kn=11032 cs=21A5 rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)
Exception "Access Fault" ($7008) PC = $3A54A (Task 'castles') Byte Read from $9EC80018
$0003a53a muls         #$a,d0
$0003a53e move.l       (-$1928,a4),a1                 ;$00021f18
$0003a542 move.l       ($40,a1),a3                    ;$000234d8
$0003a546 move.w       d0,(-$14,a5)                   ;$00047c9a
$0003a54a move.b       ($10,a3),d1                    ;$9ec80018
$0003a54e moveq        #6,d2
$0003a550 cmp.b        d2,d1
$0003a552 bne.b        $3a55c
$0003a554 move.l       d0,d2
exception stackframe:
$000FFFC4 00000003 A54A7008 00047C6A 05210041 00210041 9EC80018 00047C9A 0000000A
$000FFFE4 00000001 0008B624 000392D2 00047CAE 0000A660 00040003 92E2006C
regular stack:
$00047C52 00000000 00000000 00000001 00000001 00047CF6 000911D6 0000A660 0000A660
$00047C72 00000000 00000000 00000160 0000005A 00029EFA 00060016 00000000 00000000
$00047C92 00000000 00010000 000A0000 00000004 0004000A 000911E8 00000001 00047D7C
$00047CB2 000347F4 00000000 00000000 00000000 00000001 00018C11 00030828 00030DAE
$00047CD2 00000000 00030E52 0003E1E4 0004289C 00010004 7CF60000 00000000 00000004
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx        A        78         0         0         0         0         0         1
Ax    8B41C     23498         0  9EC80008     23840     47CAE     85A40
                 TTSM III   XNZVC
PC=   3A54A  SR 0SP=47C52  ISP=FFFC4  MSP=FF800
VBR=2FD1000  SFC=5  DFC=5  CACR=80008000  
TC=8000  URP=02F83000  SRP=02F83000  MMUSR=00000000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0000011111111111 adkcon=$1100
intreq=%0000011110000000
vposr....A300  vhposr...0280  joy0dat..AB91  joy1dat..0000  clxdat...8023  
pot0dat..1800  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
deniseid.00F8  hhposr...FF42  
   ciaa:     PI ROPS     ciab:     PI ROPS
 cra=00000000  ta=21FF<21FF    cra=00000001  ta= 6FE<1279
     AII ROPS       AII ROPS
 crb=00001000  tb=37BE<37BE    crb=10000000  tb=FFFF<FFFF
     10RTWCLO   parallel     DRCCDSOY      M3210HDS
 pra=11111110  prb=10011001      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=006AB8  icr=00  sdr=A4    event=00013B  icr=00  sdr=00
************************* 11-Mär-08 14:49:23 ************************16.9.4432***
Slave='Castles.slave' (3660 bytes)
ShadowMem  1BDD0F0 -  1C710F0 ( 606208) AbsolutMem    94000 -   100000 ( 442368)
Resload    2F85000 -  2F8DA6C (  35436) at 2F85000  GL=$2FD0000
Slave      2FD9000 -  2FD9E28 (   3624) at 2FD9000  BaseMemSize=$100000
ExpMem     2F8F000 -  2FCF000 ( 262144) at 2F8F000
attn=3F(40,81) fc=-1 kn=11032 cs=21A5 rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)
Exception "Access Fault" ($7008) PC = $3A54A (Task 'castles') Byte Read from $9EC80018
$0003a53a muls         #$a,d0
$0003a53e move.l       (-$1928,a4),a1                 ;$00021f18
$0003a542 move.l       ($40,a1),a3                    ;$000234d8
$0003a546 move.w       d0,(-$14,a5)                   ;$00047c9a
$0003a54a move.b       ($10,a3),d1                    ;$9ec80018
$0003a54e moveq        #6,d2
$0003a550 cmp.b        d2,d1
$0003a552 bne.b        $3a55c
$0003a554 move.l       d0,d2
exception stackframe:
$000FFFC4 00000003 A54A7008 00047C6A 05210041 00210041 9EC80018 00047C9A 0000000A
$000FFFE4 00000008 0005CD1E 00070F2C 00047B6E 0000221E 00040003 EE4A006C
regular stack:
$00047C52 00000000 00000000 00000001 00000001 00047CF6 00000000 0000A660 00095D9A
$00047C72 00000000 00000000 00000002 000004AB 00029EFA 004B0000 00000000 00000000
$00047C92 00000000 00010000 000A0000 00000004 0004000A 00000000 00000001 00047D7C
$00047CB2 000347F4 00000000 00000000 00000000 00000001 00018C11 00030828 00030DAE
$00047CD2 00000000 00030E52 0003E1E4 0004289C 00010004 7CF60000 00000000 00000004
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx        A        78         0         0         0         0         0         0
Ax    8B110     23498         0  9EC80008     23840     47CAE     85892
                 TTSM III   XNZVC
PC=   3A54A  SR 0SP=47C52  ISP=FFFC4  MSP=FF800
VBR=2FD1000  SFC=5  DFC=5  CACR=80008000  
TC=8000  URP=02F83000  SRP=02F83000  MMUSR=00000000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0000011111111111 adkcon=$1100
intreq=%0000011110000000
vposr....A300  vhposr...0281  joy0dat..ACB6  joy1dat..0000  clxdat...8023  
pot0dat..7A00  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
deniseid.00F8  hhposr...FF44  
   ciaa:     PI ROPS     ciab:     PI ROPS
 cra=00000000  ta=21FF<21FF    cra=00000001  ta=107A<1279
     AII ROPS       AII ROPS
 crb=00001000  tb=37BE<37BE    crb=10000000  tb=FFFF<FFFF
     10RTWCLO   parallel     DRCCDSOY      M3210HDS
 pra=11111110  prb=10011010      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=005D73  icr=00  sdr=76    event=00013A  icr=00  sdr=00
Tagsaccess_fault
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad16.7
importedyes
Attached Files

-Relationships
related to 0001098closedBored Seal Castles: Using: WHDLoad 16.5 [build 3900] (31.08.2005) I got an access fault 
+Relationships

-Notes

note ~0001166

JOTD (developer)

fixed in 1.2

note ~0001174

Stellan (reporter)

With slave v1.2 I get following Access Fault when the castle will be attacked. BTW. no german castles version here. I think it is the UK version.

************************* 04-Jun-09 20:09:07 ************************16.9.4672***
Slave='Castles.slave' (4476 bytes)
ShadowMem 1EFA2A8 - 1FD22A8 ( 884736) AbsolutMem D8000 - FF000 ( 159744)
Resload 2F04000 - 2F0CCFC ( 36092) at 2F04000 GL=$2FCF000
Slave 2FD8000 - 2FD9158 ( 4440) at 2FD8000 BaseMemSize=$FF000
ExpMem 2F0E000 - 2FCE000 ( 786432) at 2F0E000
attn=7F(40,82) fc=-1 kn=11032 cs=92B9 rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)

Exception "Access Fault" ($7008) PC = $2F77FC2 (ExpMem $69FC2) Byte Read from $31B80309

$02f77fb2 muls #$a,d0
$02f77fb6 move.l (-$1928,a4),a1 ;$02f5f990
$02f77fba jsr ($2fd8fc0)
$02f77fc0 nop
$02f77fc2 move.b ($10,a3),d1 ;$31b80309
$02f77fc6 moveq #6,d2
$02f77fc8 cmp.b d2,d1
$02f77fca bne.b $2f77fd4
$02f77fcc move.l d0,d2

exception stackframe:
$02FCDFC4 000002F7 7FC27008 02F856E2 05210041 00210001 31B80309 02F85712 0000000A
$02FCDFE4 00000008 00025E46 00030EB4 02F855E6 02F4FE1E 001902F1 453A006C
regular stack:
$02F856CA 00000000 00000000 00000001 00000001 02F8576E 00000000 02F52CC0 02F9EBFA
$02F856EA 00000000 00000000 00000060 000003AB 02F67972 003B0006 00000000 00000000
$02F8570A 00000000 00010000 000A0000 00000004 0004000A 00000000 00000001 02F857F4
$02F8572A 02F7226C 00000000 00000000 00000000 00000001 02F56671 02F6E2A0 02F6E826
$02F8574A 00000000 02F6E8CA 02F7BC5C 02F80314 000102F8 576E0000 00000000 000002F8

  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx A 78 0 0 0 0 0 1
Ax 2F94E28 2F60F10 0 31B802F9 2F612B8 2F85726 2F8F3A2

                 TTSM III XNZVC
PC= 2F77FC2 SR %0000000000000000 USP=2F856CA ISP=2FCDFC4 MSP=FE800
VBR=2FD0000 SFC=5 DFC=5 CACR=80008000
TC=8000 URP=02F02000 SRP=02F02000 MMUSR=00000000
DTT0=00000000 DTT1=00000000 ITT0=00000000 ITT1=00000000

         MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0000011111111111 adkcon=$1100
intreq=%0000011110000000
vposr....A300 vhposr...027D joy0dat..BD50 joy1dat..0000 clxdat...8023
pot0dat..DD00 pot1dat..0000 potinp...5500 serdatr..3800 dskbytr..A000
deniseid.00F8 hhposr...FF48
   ciaa: PI ROPS ciab: PI ROPS
 cra=00000000 ta=21FF<21FF cra=00000001 ta= 46C<1279
     AII ROPS AII ROPS
 crb=00001000 tb=37BE<37BE crb=10000000 tb=FFFF<FFFF
     10RTWCLO parallel DRCCDSOY M3210HDS
 pra=11111110 prb=10011010 pra=11111111 prb=11111111
       ddra=00000011 ddrb=00000000 ddra=11000000 ddrb=11111111
       event=004588 icr=00 sdr=00 event=00013A icr=00 sdr=00

note ~0001415

JOTD (developer)

1.3 should fix this

note ~0001420

Stellan (reporter)

Thanks for fixing. Do you will release V1.3 soon? Or can you send me the slave for testing?

note ~0001433

Stellan (reporter)

Sorry but I got another access fault with V1.3 (after the casltle will be attacked for the first time).

************************* 11-Sep-09 22:20:24 ************************16.9.4672***
Slave='Castles.slave' (4500 bytes)
ShadowMem 269D560 - 2771560 ( 868352) AbsolutMem D4000 - FF000 ( 176128)
Resload 2F04000 - 2F0CCFC ( 36092) at 2F04000 GL=$2FCF000
Slave 2FD8000 - 2FD9170 ( 4464) at 2FD8000 BaseMemSize=$FF000
ExpMem 2F0E000 - 2FCE000 ( 786432) at 2F0E000
attn=7F(40,82) fc=-1 kn=11032 cs=92B9 rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)

Exception "Access Fault" ($7008) PC = $2FD8FD4 (Slave $FD4) Byte Read from $31B802F9

$02fd8fc4 cmpa.l #0,a1
$02fd8fca beq.b $2fd8fec
$02fd8fcc move.l ($40,a1),a3 ;$02f60f50
$02fd8fd0 movem.l d0-d1,-(a7) ;$02f856be
$02fd8fd4 move.b (a3),d0 ;$31b802f9
$02fd8fd6 beq.b $2fd8fe6
$02fd8fd8 move.b ($2fd8020,pc),d1
$02fd8fdc cmp.b d1,d0
$02fd8fde beq.b $2fd8fe6

exception stackframe:
$02FCDFC4 000002FD 8FD47008 02F856C2 05210001 00210001 31B802F9 02F856BE 0000000A
$02FCDFE4 00000008 00025E46 00030EB4 02F855E6 02F4FE1E 001902F1 44D8006C
regular stack:
$02F856BE 0000000A 00000078 02F77FC0 00000000 00000000 00000001 00000001 02F8576E
$02F856DE 02F9A61C 02F52CC0 02F9F03A 00000000 00000000 00000000 00000000 00000000
$02F856FE 00000001 02F8576E 00000000 02F52CC0 00010000 000A0000 00000000 0000000A
$02F8571E 00000000 00000001 02F857F4 02F7226C 00000000 00000000 00000000 00000001
$02F8573E 02F56671 02F6E2A0 02F6E826 00000000 02F6E8CA 02F7BC5C 02F80314 000102F8

  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx A 78 0 0 0 0 0 1
Ax 2F94EAA 2F60F10 0 31B802F9 2F612B8 2F85726 2F8F456

                 TTSM III XNZVC
PC= 2FD8FD4 SR %0000000000000000 USP=2F856BE ISP=2FCDFC4 MSP=FE800
VBR=2FD0000 SFC=5 DFC=5 CACR=80008000
TC=8000 URP=02F02000 SRP=02F02000 MMUSR=00000000
DTT0=00000000 DTT1=00000000 ITT0=00000000 ITT1=00000000

         MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0000011111111111 adkcon=$1100
intreq=%0000011110000000
vposr....A300 vhposr...0283 joy0dat..CE73 joy1dat..0000 clxdat...8023
pot0dat..A900 pot1dat..0000 potinp...5500 serdatr..3800 dskbytr..A000
deniseid.00F8 hhposr...FF4F
   ciaa: PI ROPS ciab: PI ROPS
 cra=00000000 ta=21FF<21FF cra=00000001 ta= 992<1279
     AII ROPS AII ROPS
 crb=00001000 tb=37BE<37BE crb=10000000 tb=FFFF<FFFF
     10RTWCLO parallel DRCCDSOY M3210HDS
 pra=11111110 prb=10011001 pra=11111111 prb=11111111
       ddra=00000011 ddrb=00000000 ddra=11000000 ddrb=11111111
       event=005EE3 icr=00 sdr=00 event=00013A icr=00 sdr=00

note ~0001620

Stellan (reporter)

See last notice from me

note ~0003916

JOTD (developer)

v1.4 of the slave fixes that. Now castle is attacked, it works
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 01:21 administrator New Issue
2009-04-10 01:21 administrator Status new => assigned
2009-04-10 01:21 administrator Assigned To => Bored Seal
2009-04-10 01:21 administrator Machine => A1200
2009-04-10 01:21 administrator CPU => 68040
2009-04-10 01:21 administrator CPUSpeed => 40
2009-04-10 01:21 administrator ChipSet => AGA
2009-04-10 01:21 administrator GFXCard => None
2009-04-10 01:21 administrator ChipMem => 2 MB
2009-04-10 01:21 administrator FastMem => 32 MB
2009-04-10 01:21 administrator Workbench => OS 3.1
2009-04-10 01:21 administrator KickROM => 40 - Kick 3.1
2009-04-10 01:21 administrator KickSoft => 40 - Kick 3.1
2009-04-10 01:21 administrator WHDLoad => 16.7
2009-04-10 01:21 administrator imported => yes
2009-04-13 20:31 administrator Reporter user493 => Stellan
2009-04-13 20:31 administrator Description Updated
2009-04-15 13:13 Wepl Relationship added related to 0001098
2009-04-15 22:53 Bored Seal Assigned To Bored Seal => JOTD
2009-04-30 22:02 JOTD Status assigned => confirmed
2009-05-20 09:47 JOTD Tag Attached: access_fault
2009-06-02 22:36 JOTD Note Added: 0001166
2009-06-02 22:36 JOTD Status confirmed => closed
2009-06-02 22:36 JOTD Resolution open => fixed
2009-06-06 23:01 Stellan Note Added: 0001174
2009-06-06 23:01 Stellan Status closed => feedback
2009-06-06 23:01 Stellan Resolution fixed => reopened
2009-08-30 22:51 JOTD Note Added: 0001415
2009-08-30 22:51 JOTD Status feedback => resolved
2009-08-30 22:51 JOTD Resolution reopened => fixed
2009-09-02 11:19 Stellan Note Added: 0001420
2009-09-12 00:19 Stellan Note Added: 0001433
2009-12-29 15:34 Stellan Note Added: 0001620
2009-12-29 15:34 Stellan Status resolved => feedback
2009-12-29 15:34 Stellan Resolution fixed => reopened
2014-05-04 22:00 JOTD Note Added: 0003916
2014-05-04 22:00 JOTD Status feedback => closed
2014-05-04 22:00 JOTD Resolution reopened => fixed
+Issue History